Open CASCADE Technology: StepShape_OrientedClosedShell Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepShape_OrientedClosedShell Class Reference

`#include <StepShape_OrientedClosedShell.hxx>`

Inheritance diagram for StepShape_OrientedClosedShell:
[legend]

## Public Member Functions
| StepShape_OrientedClosedShell ()
| Returns a OrientedClosedShell. More...
virtual void | Init (const Handle< TCollection_HAsciiString > &aName, const Handle< StepShape_HArray1OfFace > &aCfsFaces)
virtual void | Init (const Handle< TCollection_HAsciiString > &aName, const Handle< StepShape_ClosedShell > &aClosedShellElement, const Standard_Boolean aOrientation)
void | SetClosedShellElement (const Handle< StepShape_ClosedShell > &aClosedShellElement)
Handle< StepShape_ClosedShell > | ClosedShellElement () const
void | SetOrientation (const Standard_Boolean aOrientation)
Standard_Boolean | Orientation () const
virtual void | SetCfsFaces (const Handle< StepShape_HArray1OfFace > &aCfsFaces)
virtual Handle < StepShape_HArray1OfFace > | CfsFaces () const
virtual Handle< StepShape_Face > | CfsFacesValue (const Standard_Integer num) const
virtual Standard_Integer | NbCfsFaces () const
Public Member Functions inherited from StepShape_ClosedShell
| StepShape_ClosedShell ()
| Returns a ClosedShell. More...
Public Member Functions inherited from StepShape_ConnectedFaceSet
| StepShape_ConnectedFaceSet ()
| Returns a ConnectedFaceSet. More...
virtual void | Init (const Handle< TCollection_HAsciiString > &aName)
Public Member Functions inherited from StepShape_TopologicalRepresentationItem
| StepShape_TopologicalRepresentationItem ()
| Returns a TopologicalRepresentationItem. More...
Public Member Functions inherited from StepRepr_RepresentationItem
| StepRepr_RepresentationItem ()
| Returns a RepresentationItem. More...
void | SetName (const Handle< TCollection_HAsciiString > &aName)
Handle< TCollection_HAsciiString > | Name () const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

StepShape_OrientedClosedShell::StepShape_OrientedClosedShell | ( |  | ) |

Returns a OrientedClosedShell.

## Member Function Documentation

virtual Handle< StepShape_HArray1OfFace > StepShape_OrientedClosedShell::CfsFaces | ( |  | ) | const
| virtual

Reimplemented from StepShape_ConnectedFaceSet.

virtual Handle< StepShape_Face > StepShape_OrientedClosedShell::CfsFacesValue | ( | const Standard_Integer | num | ) | const
| virtual

Reimplemented from StepShape_ConnectedFaceSet.

Handle< StepShape_ClosedShell > StepShape_OrientedClosedShell::ClosedShellElement | ( |  | ) | const

virtual void StepShape_OrientedClosedShell::Init | ( | const Handle< TCollection_HAsciiString > & | aName,
|  | const Handle< StepShape_HArray1OfFace > & | aCfsFaces
| ) |  |
| virtual

Reimplemented from StepShape_ConnectedFaceSet.

virtual void StepShape_OrientedClosedShell::Init | ( | const Handle< TCollection_HAsciiString > & | aName,
|  | const Handle< StepShape_ClosedShell > & | aClosedShellElement,
|  | const Standard_Boolean | aOrientation
| ) |  |
| virtual

virtual Standard_Integer StepShape_OrientedClosedShell::NbCfsFaces | ( |  | ) | const
| virtual

Reimplemented from StepShape_ConnectedFaceSet.

Standard_Boolean StepShape_OrientedClosedShell::Orientation | ( |  | ) | const

virtual void StepShape_OrientedClosedShell::SetCfsFaces | ( | const Handle< StepShape_HArray1OfFace > & | aCfsFaces | ) |
| virtual

Reimplemented from StepShape_ConnectedFaceSet.

void StepShape_OrientedClosedShell::SetClosedShellElement | ( | const Handle< StepShape_ClosedShell > & | aClosedShellElement | ) |

void StepShape_OrientedClosedShell::SetOrientation | ( | const Standard_Boolean | aOrientation | ) |

The documentation for this class was generated from the following file:

- StepShape_OrientedClosedShell.hxx